package agilpizza.dao;

import static org.junit.Assert.*;

import java.util.Collection;

import org.junit.Test;

import agilpizza.modelo.Cliente;
import agilpizza.modelo.Endereco;

public class ClienteDAOTest {

	@Test
	public void testBuscaClientesInadimplentes() {
		ClienteDAO dao = new ClienteDAO();
		Endereco end = new Endereco("dos Bobos", "0", null, "Bla", "451-8");
		Cliente maria = new Cliente("Maria", "123", "maria@web", end, "333.333-33");
		dao.adicionaCliente(maria);
		Cliente joao = new Cliente("João", "321", "joao@web", end, "444.444-44");
		dao.adicionaCliente(joao);

		joao.setInadimplente(true);

		Collection<Cliente> inadimplentes = dao.buscaClientesInadimplentes();
		assertEquals(1, inadimplentes.size());
		for (Cliente cliente : inadimplentes) {
			assertEquals(joao, cliente);
		}
	}

}
